%define name acpid
%define version 071100
%define release 4mdk

Summary: ACPI kernel daemon and control utility
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: System/Servers
BuildRequires: popt-devel
Source0: acpid-%{version}.tar.bz2
Source1: acpid.rc.bz2
Source2: acpi.h
URL: http://phobos.fs.tum.de/acpi/
BuildRoot: %{_tmppath}/%{name}-buildroot
ExcludeArch: sparc sparc64 alpha

%description
The ACPI specification defines power and system management functions
for each computer, in a generic manner.  The ACPI daemon coordinates
the management of power and system functions when ACPI kernel
support is enabled (kernel 2.3.x or later).

%prep 
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
cd $RPM_BUILD_ROOT
bzcat $RPM_SOURCE_DIR/%{name}-%{version}.tar.bz2 | tar xf -

%build
cd $RPM_BUILD_ROOT/acpid-%{version}
mkdir linux
cp $RPM_SOURCE_DIR/acpi.h linux
%configure
make

%install
cd $RPM_BUILD_ROOT/acpid-%{version}
make DESTDIR=$RPM_BUILD_ROOT install

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
bzcat $RPM_SOURCE_DIR/acpid.rc.bz2 > $RPM_BUILD_ROOT/acpid.rc
install -m755 $RPM_BUILD_ROOT/acpid.rc $RPM_BUILD_ROOT/etc/rc.d/init.d/acpid

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc $RPM_BUILD_ROOT/acpid-%{version}/doc/README $RPM_BUILD_ROOT/acpid-%{version}/[A-Z]*
%doc $RPM_BUILD_ROOT/acpid-%{version}/doc/build.txt
%{_prefix}/sbin/*
%{_prefix}/bin/*
%config /etc/rc.d/init.d/*

%changelog
* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 071100-4mdk
- automatically added BuildRequires

* Wed Jul 26 2000 Lenny Cartier <lenny@mandrakesoft.com> 071100-3mdk
- little cleaning

* Thu Jul 13 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 071100-2mdk
- Version 071100 (requires acpi interpreter from 2.4.0-test3 or later)

* Fri Jun 09 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 052200-1mdk
- Version 052200
- Uses configure script not manual make method.

* Tue May 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 031700-5mdk
- Add alpha to ExcludeArch.

* Fri May 19 2000 Francis Galiegue <fg@mandrakesoft.com> 031700-4mdk
- Replaced exclusivearch <shitload of x86> with ExcludeArch sparc sparc64

* Mon May 15 2000 Pixel <pixel@mandrakesoft.com> 031700-3mdk
- exclusivearch x86

* Mon Apr 17 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 031700-2mdk
- use percent-config for init.d startup script
- compress acpid.rc with bzip2

* Mon Apr 17 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 031700-1mdk
- initial contribs version of acpid package
